{{- range $k, $v := .Values.transformations }}
---
apiVersion: argoproj.io/v1alpha1
kind: CronWorkflow
metadata:
  name: {{ $k }}-transform-cron 
spec:
  schedule: {{ $v.cron }}
  timezone: 'Europe/Prague'
  suspend: {{ not ($v.enabled) }}
  concurrencyPolicy: "Forbid"
  workflowSpec:
    entrypoint: main
    arguments:
      parameters: {{- include "argo.wft-parameters" $v.parameters | nindent 8 }}
    workflowTemplateRef:
      name: {{ $k }}-transform
{{- end }}
